# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "poem-openapi"
version = "0.6.6"
authors = ["sunli <scott_s829@163.com>"]
description = "OpenAPI support for Poem."
homepage = "https://github.com/poem-web/poem-openapi"
documentation = "https://docs.rs/poem/"
readme = "README.md"
keywords = ["http", "async", "openapi", "swagger"]
categories = ["network-programming", "asynchronous"]
license = "MIT/Apache-2.0"
repository = "https://github.com/poem-web/poem-openapi"
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "docsrs"]
[dependencies.askama]
version = "0.10.5"

[dependencies.base64]
version = "0.13.0"

[dependencies.chrono]
version = "0.4.19"
optional = true

[dependencies.derive_more]
version = "0.99.16"

[dependencies.num-traits]
version = "0.2.14"

[dependencies.poem]
version = "0.6.2"
features = ["multipart", "tempfile"]

[dependencies.poem-openapi-derive]
version = "0.6.3"

[dependencies.regex]
version = "1.5.4"

[dependencies.serde]
version = "1.0.130"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.68"

[dependencies.thiserror]
version = "1.0.29"

[dependencies.tokio]
version = "1.11.0"
features = ["fs"]

[dependencies.typed-headers]
version = "0.2.0"
[dev-dependencies.tokio]
version = "1.11.0"
features = ["macros", "rt-multi-thread"]

[features]
default = []
